Index: svn/src/northbridge/via/cx700/vgabios.c
===================================================================
--- svn.orig/src/northbridge/via/cx700/vgabios.c
+++ svn/src/northbridge/via/cx700/vgabios.c
@@ -315,10 +315,10 @@ void do_vgabios(void)
 	dev = dev_find_class(PCI_CLASS_DISPLAY_VGA << 8, 0);
 
 	if (!dev) {
-		printk(BIOS_DEBUG, "NO VGA FOUND\n");
+		printk(DEBUG, "NO VGA FOUND\n");
 		return;
 	}
-	printk(BIOS_DEBUG, "found VGA: vid=%x, did=%x\n", dev->vendor, dev->device);
+	printk(DEBUG, "found VGA: vid=%x, did=%x\n", dev->vendor, dev->device);
 
 	/* declare rom address here - keep any config data out of the way
 	 * of core LXB stuff */
@@ -326,7 +326,7 @@ void do_vgabios(void)
 #warning ROM address hardcoded to 512K
 	rom = (unsigned int)cbfs_load_optionrom(dev->vendor, dev->device, 0); 
 	pci_write_config32(dev, PCI_ROM_ADDRESS, rom | 1);
-	printk(BIOS_DEBUG, "rom base, size: %x\n", rom);
+	printk(DEBUG, "rom base, size: %x\n", rom);
 
 	buf = (unsigned char *)rom;
 	if ((buf[0] == 0x55) && (buf[1] == 0xaa)) {
@@ -339,13 +339,13 @@ void do_vgabios(void)
 		if (buf[0] == 0x55 && buf[1] == 0xAA) {
 			busdevfn =
 			    (dev->bus->secondary << 8) | dev->path.pci.devfn;
-			printk(BIOS_DEBUG, "bus/devfn = %#lx\n", busdevfn);
+			printk(DEBUG, "bus/devfn = %#lx\n", busdevfn);
 
 			real_mode_switch_call_vga(busdevfn);
 		} else
-			printk(BIOS_DEBUG, "Failed to copy VGA BIOS to 0xc0000\n");
+			printk(DEBUG, "Failed to copy VGA BIOS to 0xc0000\n");
 	} else
-		printk(BIOS_DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
+		printk(DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
 
 	pci_write_config32(dev, PCI_ROM_ADDRESS, 0);
 }
@@ -512,28 +512,28 @@ int biosint(unsigned long intnumber,
 	cs = cs_ip >> 16;
 	flags = stackflags;
 
-	printk(BIOS_DEBUG, "biosint: INT# 0x%lx\n", intnumber);
-	printk(BIOS_DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n",
+	printk(DEBUG, "biosint: INT# 0x%lx\n", intnumber);
+	printk(DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n",
 		     eax, ebx, ecx, edx);
-	printk(BIOS_DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
+	printk(DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
 		     ebp, esp, edi, esi);
-	printk(BIOS_DEBUG, "biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
+	printk(DEBUG, "biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
 		     ip, cs, flags);
 
 	// cases in a good compiler are just as good as your own tables. 
 	switch (intnumber) {
 	case 0 ... 15:
 		// These are not BIOS service, but the CPU-generated exceptions
-		printk(BIOS_INFO, "biosint: Oops, exception %lu\n", intnumber);
+		printk(INFO, "biosint: Oops, exception %lu\n", intnumber);
 		if (esp < 0x1000) {
-			printk(BIOS_DEBUG, "Stack contents: ");
+			printk(DEBUG, "Stack contents: ");
 			while (esp < 0x1000) {
-				printk(BIOS_DEBUG, "0x%04x ", *(unsigned short *)esp);
+				printk(DEBUG, "0x%04x ", *(unsigned short *)esp);
 				esp += 2;
 			}
-			printk(BIOS_DEBUG, "\n");
+			printk(DEBUG, "\n");
 		}
-		printk(BIOS_DEBUG, "biosint: Bailing out\n");
+		printk(DEBUG, "biosint: Bailing out\n");
 		// "longjmp"
 		vga_exit();
 		break;
@@ -552,7 +552,7 @@ int biosint(unsigned long intnumber,
 				  &ebx, &edx, &ecx, &eax, &flags);
 		break;
 	default:
-		printk(BIOS_INFO, "BIOSINT: Unsupport int #0x%lx\n", intnumber);
+		printk(INFO, "BIOSINT: Unsupport int #0x%lx\n", intnumber);
 		break;
 	}
 	if (ret)
@@ -669,7 +669,7 @@ pcibios(unsigned long *pedi, unsigned lo
 				// devfn is an int, so we mask it off. 
 				busdevfn = (dev->bus->secondary << 8)
 				    | (dev->path.pci.devfn & 0xff);
-				printk(BIOS_DEBUG, "0x%x: return 0x%x\n", func,
+				printk(DEBUG, "0x%x: return 0x%x\n", func,
 					     busdevfn);
 				*pebx = busdevfn;
 				retval = 0;
@@ -696,7 +696,7 @@ pcibios(unsigned long *pedi, unsigned lo
 			reg = *pedi;
 			dev = dev_find_slot(bus, devfn);
 			if (!dev) {
-				printk(BIOS_DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n",
+				printk(DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n",
 				     func, bus, devfn);
 				// idiots. the pcibios guys assumed you'd never pass a bad bus/devfn!
 				*peax = PCIBIOS_BADREG;
@@ -731,14 +731,14 @@ pcibios(unsigned long *pedi, unsigned lo
 
 			if (retval)
 				retval = PCIBIOS_BADREG;
-			printk(BIOS_DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
+			printk(DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
 			     func, bus, devfn, reg, *pecx);
 			*peax = 0;
 			retval = 0;
 		}
 		break;
 	default:
-		printk(BIOS_ERR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n", func);
+		printk(ERROR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n", func);
 		break;
 	}
 
Index: svn/src/northbridge/via/vt8601/northbridge.c
===================================================================
--- svn.orig/src/northbridge/via/vt8601/northbridge.c
+++ svn/src/northbridge/via/vt8601/northbridge.c
@@ -20,7 +20,7 @@
  */
 static void northbridge_init(device_t dev) 
 {
-	printk(BIOS_SPEW, "VT8601 random fixup ...\n");
+	printk(SPEW, "VT8601 random fixup ...\n");
 	pci_write_config8(dev, 0x70, 0xc0);
 	pci_write_config8(dev, 0x71, 0x88);
 	pci_write_config8(dev, 0x72, 0xec);
@@ -117,10 +117,10 @@ static void pci_domain_set_resources(dev
 			if (reg > rambits)
 				rambits = reg;
 			if (reg < rambits)
-				printk(BIOS_ERR, "ERROR! register 0x%x is not set!\n", 
+				printk(ERROR, "ERROR! register 0x%x is not set!\n",
 					ramregs[i]);
 		}
-		printk(BIOS_DEBUG, "I would set ram size to 0x%x Kbytes\n", (rambits)*8*1024);
+		printk(DEBUG, "I would set ram size to 0x%x Kbytes\n", (rambits)*8*1024);
 		tomk = rambits*8*1024;
 		/* Compute the top of Low memory */
 		tolmk = pci_tolm >> 10;
@@ -133,7 +133,7 @@ static void pci_domain_set_resources(dev
 #if CONFIG_WRITE_HIGH_TABLES == 1
 		high_tables_base = (tolmk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE* 1024;
-		printk(BIOS_DEBUG, "tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
+		printk(DEBUG, "tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
 #endif
 
 		/* Report the memory regions */
Index: svn/src/northbridge/via/vt8623/northbridge.c
===================================================================
--- svn.orig/src/northbridge/via/vt8623/northbridge.c
+++ svn/src/northbridge/via/vt8623/northbridge.c
@@ -27,7 +27,7 @@ static void northbridge_init(device_t de
 	unsigned long fb;
 	unsigned char c;
 
-	printk(BIOS_DEBUG, "VT8623 random fixup ...\n");
+	printk(DEBUG, "VT8623 random fixup ...\n");
 	pci_write_config8(dev,  0x0d, 0x08);
 	pci_write_config8(dev,  0x70, 0x82);
 	pci_write_config8(dev,  0x71, 0xc8);
@@ -48,7 +48,7 @@ static void northbridge_init(device_t de
 		 */
 		//fb = pci_read_config32(dev, 0x10);       /* Base addres of framebuffer */
 		fb = 0xd0000000;
-		printk(BIOS_DEBUG, "Frame buffer at %8lx\n",fb);
+		printk(DEBUG, "Frame buffer at %8lx\n",fb);
 
 		c = pci_read_config8(dev, 0xe1) & 0xf0;  /* size of vga */
 		c |= fb>>28;  /* upper nibble of frame buffer address */
@@ -77,7 +77,7 @@ static const struct pci_driver northbrid
 
 static void agp_init(device_t dev)
 {
-	printk(BIOS_DEBUG, "VT8623 AGP random fixup ...\n");
+	printk(DEBUG, "VT8623 AGP random fixup ...\n");
 
 	pci_write_config8(dev, 0x3e, 0x0c);
 	pci_write_config8(dev, 0x40, 0x83);
@@ -107,7 +107,7 @@ static void vga_init(device_t dev)
 //	unsigned long fb;
 	msr_t clocks1,clocks2,instructions,setup;
 
-	printk(BIOS_DEBUG, "VGA random fixup ...\n");
+	printk(DEBUG, "VGA random fixup ...\n");
 	pci_write_config8(dev, 0x04, 0x07);
 	pci_write_config8(dev, 0x0d, 0x20);
 	pci_write_config32(dev,0x10,0xd8000008);
@@ -131,24 +131,24 @@ static void vga_init(device_t dev)
 	//clocks2 = rdmsr(0x10);
 	//instructions = rdmsr(0xc2);
 	
-	printk(BIOS_DEBUG, "Clocks 1 = %08x:%08x\n",clocks1.hi,clocks1.lo);
-	printk(BIOS_DEBUG, "Clocks 2 = %08x:%08x\n",clocks2.hi,clocks2.lo);
-	printk(BIOS_DEBUG, "Instructions = %08x:%08x\n",instructions.hi,instructions.lo);
+	printk(DEBUG, "Clocks 1 = %08x:%08x\n",clocks1.hi,clocks1.lo);
+	printk(DEBUG, "Clocks 2 = %08x:%08x\n",clocks2.hi,clocks2.lo);
+	printk(DEBUG, "Instructions = %08x:%08x\n",instructions.hi,instructions.lo);
 
 #else
 
 	/* code to make vga init run in real mode - does work but against the current coreboot philosophy */
-	printk(BIOS_DEBUG, "INSTALL REAL-MODE IDT\n");
+	printk(DEBUG, "INSTALL REAL-MODE IDT\n");
         setup_realmode_idt();
-        printk(BIOS_DEBUG, "DO THE VGA BIOS\n");
+        printk(DEBUG, "DO THE VGA BIOS\n");
         do_vgabios();
 
 	//clocks2 = rdmsr(0x10);
 	//instructions = rdmsr(0xc2);
 	
-	//printk(BIOS_DEBUG, "Clocks 1 = %08x:%08x\n",clocks1.hi,clocks1.lo);
-	//printk(BIOS_DEBUG, "Clocks 2 = %08x:%08x\n",clocks2.hi,clocks2.lo);
-	//printk(BIOS_DEBUG, "Instructions = %08x:%08x\n",instructions.hi,instructions.lo);
+	//printk(DEBUG, "Clocks 1 = %08x:%08x\n",clocks1.hi,clocks1.lo);
+	//printk(DEBUG, "Clocks 2 = %08x:%08x\n",clocks2.hi,clocks2.lo);
+	//printk(DEBUG, "Instructions = %08x:%08x\n",instructions.hi,instructions.lo);
 
         vga_enable_console();
 	
@@ -229,7 +229,7 @@ static void pci_domain_set_resources(dev
 	device_t mc_dev;
         uint32_t pci_tolm;
 
-	printk(BIOS_SPEW, "Entering vt8623 pci_domain_set_resources.\n");
+	printk(SPEW, "Entering vt8623 pci_domain_set_resources.\n");
 
         pci_tolm = find_pci_tolm(&dev->link[0]);
 	mc_dev = dev->link[0].children;
@@ -250,10 +250,10 @@ static void pci_domain_set_resources(dev
 			if (reg > rambits)
 				rambits = reg;
 			if (reg < rambits)
-				printk(BIOS_ERR, "ERROR! register 0x%x is not set!\n", 
+				printk(ERROR, "ERROR! register 0x%x is not set!\n",
 					ramregs[i]);
 		}
-		printk(BIOS_DEBUG, "I would set ram size to 0x%x Kbytes\n", (rambits)*16*1024);
+		printk(DEBUG, "I would set ram size to 0x%x Kbytes\n", (rambits)*16*1024);
 		tomk = rambits*16*1024 - 32768;
 		/* Compute the top of Low memory */
 		tolmk = pci_tolm >> 10;
@@ -266,7 +266,7 @@ static void pci_domain_set_resources(dev
 #if CONFIG_WRITE_HIGH_TABLES == 1
 		high_tables_base = (tolmk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE* 1024;
-		printk(BIOS_DEBUG, "tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
+		printk(DEBUG, "tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
 #endif
 
 		/* Report the memory regions */
@@ -304,7 +304,7 @@ static struct device_operations cpu_bus_
 
 static void enable_dev(struct device *dev)
 {
-	printk(BIOS_SPEW, "In vt8623 enable_dev for device %s.\n", dev_path(dev));
+	printk(SPEW, "In vt8623 enable_dev for device %s.\n", dev_path(dev));
 
         /* Set the operations if it is a special bus type */
         if (dev->path.type == DEVICE_PATH_PCI_DOMAIN) {
Index: svn/src/northbridge/via/vx800/examples/chipset_init.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/examples/chipset_init.c
+++ svn/src/northbridge/via/vx800/examples/chipset_init.c
@@ -261,7 +261,7 @@ void AcpiInit(void)
 
 	// Get SB Revision
 	sbchiprev = pci_rawread_config8(rawdevice, 0xf6);
-	printk(BIOS_DEBUG, "SB chip revision =%x\n", sbchiprev);
+	printk(DEBUG, "SB chip revision =%x\n", sbchiprev);
 
 	// Fill Register Table
 	via_pci_inittable(sbchiprev, mSbStage1InitTbl);
@@ -279,7 +279,7 @@ void Stage2NbInit(void)
 	u32 subid = 0;
 	rawdevice = PCI_RAWDEV(0, 0, 4);
 	nbchiprev = pci_rawread_config8(rawdevice, 0xf6);
-	printk(BIOS_DEBUG, "NB chip revision =%x\n", nbchiprev);
+	printk(DEBUG, "NB chip revision =%x\n", nbchiprev);
 
 	via_pci_inittable(nbchiprev, mNbStage2InitTable);
 
@@ -414,7 +414,7 @@ void InitEHCI(u8 Number, u8 bEnable)
 		// Get Chipset Revision
 		EHCIRevision =
 		    pci_rawread_config8(PCI_RAWDEV(0, 0x10, 4), 0xF6);
-		printk(BIOS_DEBUG, "EHCI Revision =%x\n", EHCIRevision);
+		printk(DEBUG, "EHCI Revision =%x\n", EHCIRevision);
 		via_pci_inittable(EHCIRevision, mEHCIInitTable);
 	}
 }
@@ -567,7 +567,7 @@ void Stage2SbInit(void)
 
 	rawdevice = PCI_RAWDEV(0, 11, 0);
 	sbchiprev = pci_rawread_config8(rawdevice, 0xf6);
-	printk(BIOS_DEBUG, "SB chip revision =%x\n", sbchiprev);
+	printk(DEBUG, "SB chip revision =%x\n", sbchiprev);
 
 	//SBBasicInit
 	via_pci_inittable(sbchiprev, mBusControllerInitTable);
@@ -592,7 +592,7 @@ void Stage2SbInit(void)
 
 void init_VIA_chipset(void)
 {
-	printk(BIOS_DEBUG, "In: init_VIA_chipset\n");
+	printk(DEBUG, "In: init_VIA_chipset\n");
 	//1.nbstage1 is done in raminit.
 	//2.sbstage1
 	AcpiInit();
@@ -604,7 +604,7 @@ void init_VIA_chipset(void)
 
 	//5.open hdac
 	pci_rawmodify_config32(PCI_RAWDEV(0, 0x11, 7), 0xd1, 0, 0x04);
-	printk(BIOS_DEBUG, "End: init_VIA_chipset\n");
+	printk(DEBUG, "End: init_VIA_chipset\n");
 }
 
 /**
@@ -630,7 +630,7 @@ void hardwaremain(int boot_complete)
 
 	u8 y, x;
 	init_VIA_chipset();
-	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 #if 0
 
@@ -653,90 +653,90 @@ void hardwaremain(int boot_complete)
 	//pci_rawmodify_config8(PCI_RAWDEV(0, 0x11, 0), 0x50, 0x00, 0x76);//open all usb and usb mode
 	//pci_rawmodify_config8(PCI_RAWDEV(0, 0x11, 0), 0x50, 0x76, 0x76);//close all usb
 
-	printk(BIOS_INFO, "=================SB 50h=%02x \n",
+	printk(INFO, "=================SB 50h=%02x \n",
 		    pci_rawread_config8(PCI_RAWDEV(0, 0x11, 0), 0x50));
 
 
 	/* FIXME: Is there a better way to handle this? */
 	init_timer();
-	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 	/* Find the devices we don't have hard coded knowledge about. */
 	dev_enumerate();
-	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 #if 0
 	x = y = 0;
-	printk(BIOS_INFO, "dump ehci3 \n");
+	printk(INFO, "dump ehci3 \n");
 	for (; x < 16; x++) {
 		y = 0;
 		for (; y < 16; y++) {
-			printk(BIOS_INFO, "%02x ",
+			printk(INFO, "%02x ",
 				    pci_rawread_config8(PCI_RAWDEV
 							(0, 0x10, 4),
 							x * 16 + y));
 		}
-		printk(BIOS_INFO, "\n");
+		printk(INFO, "\n");
 	}
 #endif
 
 	post_code(0x66);
 	/* Now compute and assign the bus resources. */
 	dev_configure();
-	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 #if 0
 	x = y = 0;
-	printk(BIOS_INFO, "dump ehci3 \n");
+	printk(INFO, "dump ehci3 \n");
 	for (; x < 16; x++) {
 		y = 0;
 		for (; y < 16; y++) {
-			printk(BIOS_INFO, "%02x ",
+			printk(INFO, "%02x ",
 				    pci_rawread_config8(PCI_RAWDEV
 							(0, 0x10, 4),
 							x * 16 + y));
 		}
-		printk(BIOS_INFO, "\n");
+		printk(INFO, "\n");
 	}
 #endif
 
 	post_code(0x88);
 	/* Now actually enable devices on the bus */
 	dev_enable();
-	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 	/* And of course initialize devices on the bus */
 #if 0
 	x = y = 0;
-	printk(BIOS_INFO, "dump ehci3 \n");
+	printk(INFO, "dump ehci3 \n");
 	for (; x < 16; x++) {
 		y = 0;
 		for (; y < 16; y++) {
-			printk(BIOS_INFO, "%02x ",
+			printk(INFO, "%02x ",
 				    pci_rawread_config8(PCI_RAWDEV
 							(0, 0x10, 4),
 							x * 16 + y));
 		}
-		printk(BIOS_INFO, "\n");
+		printk(INFO, "\n");
 	}
 #endif
 
 	dev_initialize();
 	post_code(0x89);
-	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 
 //          pci_rawwrite_config16(PCI_RAWDEV(0, 0xf, 0), 0xBA, 0x0571);
 
 #if 0
 	x = y = 0;
-	printk(BIOS_INFO, "dump ehci3 \n");
+	printk(INFO, "dump ehci3 \n");
 	for (; x < 16; x++) {
 		y = 0;
 		for (; y < 16; y++) {
-			printk(BIOS_INFO, "%02x ",
+			printk(INFO, "%02x ",
 				    pci_rawread_config8(PCI_RAWDEV
 							(0, 0x10, 4),
 							x * 16 + y));
 		}
-		printk(BIOS_INFO, "\n");
+		printk(INFO, "\n");
 	}
 #endif
 
@@ -1265,25 +1265,25 @@ for(i=0;i<5;i++){
 
 #if 1
 	struct device *dev;
-	printk(BIOS_INFO, "=========zjldump all  devices...\n");
+	printk(INFO, "=========zjldump all  devices...\n");
 	for (dev = all_devices; dev; dev = dev->next) {
 		if (dev->path.type == DEVICE_PATH_PCI) {
-			printk(BIOS_DEBUG, "%s dump\n", dev_path(dev));
+			printk(DEBUG, "%s dump\n", dev_path(dev));
 			x = y = 0;
 			for (; x < 16; x++) {
 				y = 0;
 				for (; y < 16; y++) {
-					printk(BIOS_INFO, "%02x ",
+					printk(INFO, "%02x ",
 						    pci_read_config8(dev,
 								     x *
 								     16 +
 								     y));
 				}
-				printk(BIOS_INFO, "\n");
+				printk(INFO, "\n");
 			}
 
 		}
-		printk(BIOS_INFO, "\n");
+		printk(INFO, "\n");
 	}
 #endif
 
Index: svn/src/northbridge/via/vx800/examples/romstage.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/examples/romstage.c
+++ svn/src/northbridge/via/vx800/examples/romstage.c
@@ -572,7 +572,7 @@ So, I use: #include "cpu/via/car/cache_a
 		__asm__ volatile ("movl   %%esp, %0\n\t":"=a" (v_esp)
 		    );
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk(BIOS_DEBUG, "v_esp=%08x\n", v_esp);
+		printk(DEBUG, "v_esp=%08x\n", v_esp);
 #else
 		print_debug("v_esp=");
 		print_debug_hex32(v_esp);
@@ -588,7 +588,7 @@ So, I use: #include "cpu/via/car/cache_a
 //stack
 	cpu_reset = 0;
 #if CONFIG_USE_PRINTK_IN_CAR
-	printk(BIOS_DEBUG, "cpu_reset = %08x\n", cpu_reset);
+	printk(DEBUG, "cpu_reset = %08x\n", cpu_reset);
 #else
 	print_debug("cpu_reset = ");
 	print_debug_hex32(cpu_reset);
@@ -640,7 +640,7 @@ So, I use: #include "cpu/via/car/cache_a
 			print_debug("Use Ram as Stack now - \n");
 		}
 #if CONFIG_USE_PRINTK_IN_CAR
-		printk(BIOS_DEBUG, "new_cpu_reset = %08x\n", new_cpu_reset);
+		printk(DEBUG, "new_cpu_reset = %08x\n", new_cpu_reset);
 #else
 		print_debug("new_cpu_reset = ");
 		print_debug_hex32(new_cpu_reset);
Index: svn/src/northbridge/via/vx800/northbridge.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/northbridge.c
+++ svn/src/northbridge/via/vx800/northbridge.c
@@ -126,7 +126,7 @@ static void pci_domain_set_resources(dev
 	u32 pci_tolm;
 	u8 reg;
 
-	printk(BIOS_SPEW, "Entering vx800 pci_domain_set_resources.\n");
+	printk(SPEW, "Entering vx800 pci_domain_set_resources.\n");
 
 	pci_tolm = find_pci_tolm(&dev->link[0]);
 	mc_dev = dev_find_device(PCI_VENDOR_ID_VIA,
@@ -162,7 +162,7 @@ if register with invalid value we set fr
 			    (((rambits << 6) - (4 << reg) -
 			      VIACONFIG_TOP_SM_SIZE_MB) * 1024);
 
-		printk(BIOS_SPEW, "tomk is 0x%lx\n", tomk);
+		printk(SPEW, "tomk is 0x%lx\n", tomk);
 		/* Compute the Top Of Low Memory, in Kb */
 		tolmk = pci_tolm >> 10;
 		if (tolmk >= tomk) {
@@ -206,7 +206,7 @@ static const struct device_operations cp
 
 static void enable_dev(struct device *dev)
 {
-	printk(BIOS_SPEW, "In VX800 enable_dev for device %s.\n", dev_path(dev));
+	printk(SPEW, "In VX800 enable_dev for device %s.\n", dev_path(dev));
 
 	/* Set the operations if it is a special bus type */
 	if (dev->path.type == DEVICE_PATH_PCI_DOMAIN) {
Index: svn/src/northbridge/via/vx800/vga.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/vga.c
+++ svn/src/northbridge/via/vx800/vga.c
@@ -53,7 +53,7 @@ void write_protect_vgabios(void)
 {
 	device_t dev;
 
-	printk(BIOS_INFO, "write_protect_vgabios\n");
+	printk(INFO, "write_protect_vgabios\n");
 	/* there are two possible devices. Just do both. */
 	dev = dev_find_device(PCI_VENDOR_ID_VIA,
 			      PCI_DEVICE_ID_VIA_VX855_MEMCTRL, 0);
@@ -85,16 +85,16 @@ static void vga_init(device_t dev)
 	pci_write_config32(dev, 0x14, VIACONFIG_VGA_PCI_14);
 	pci_write_config8(dev, 0x3c, 0x0a);	//same with vx855_lpc.c
 	//*/
-	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 #if 1
-	printk(BIOS_DEBUG, "INSTALL REAL-MODE IDT\n");
+	printk(DEBUG, "INSTALL REAL-MODE IDT\n");
 	setup_realmode_idt();
-	printk(BIOS_DEBUG, "DO THE VGA BIOS\n");
+	printk(DEBUG, "DO THE VGA BIOS\n");
 
 	do_vgabios();
 	if ((acpi_sleep_type == 3)/* || (PAYLOAD_IS_SEABIOS == 0)*/) {
-		printk(BIOS_DEBUG, "Enable VGA console\n");
+		printk(DEBUG, "Enable VGA console\n");
 		// remove this function since in cn700 it is said "VGA seems to work without this, but crash & burn with it"
 		//but the existense of  vga_enable_console()  seems do not hurt my coreboot. XP+ubuntu s3 can resume with and without this function.
 		//and remove it also do not help my s3 problem: desktop screen have some thin black line, after resuming back to win.
@@ -102,7 +102,7 @@ static void vga_init(device_t dev)
 	}
 #else
 /* Attempt to manually force the rom to load */
-	printk(BIOS_DEBUG, "Forcing rom load\n");
+	printk(DEBUG, "Forcing rom load\n");
 	pci_rom_load(dev, 0xfff80000);
 	run_bios(dev, 0xc0000);
 #endif
@@ -122,7 +122,7 @@ static void vga_init(device_t dev)
 		   outb(0x39, SR_INDEX);
 		   outb(reg8, SR_DATA); */
 	}
-	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 }
 
Index: svn/src/northbridge/via/vx800/vgabios.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/vgabios.c
+++ svn/src/northbridge/via/vx800/vgabios.c
@@ -302,7 +302,7 @@ void do_vgabios(void)
 	u16 tmp;
 	u8 tmp8;
 
-	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 	/* clear vga bios data area */
 	for (i = 0x400; i < 0x500; i++) {
@@ -312,24 +312,24 @@ void do_vgabios(void)
 	dev = dev_find_class(PCI_CLASS_DISPLAY_VGA << 8, 0);
 
 	if (!dev) {
-		printk(BIOS_DEBUG, "NO VGA FOUND\n");
+		printk(DEBUG, "NO VGA FOUND\n");
 		return;
 	}
-	printk(BIOS_DEBUG, "found VGA: vid=%x, did=%x\n", dev->vendor, dev->device);
+	printk(DEBUG, "found VGA: vid=%x, did=%x\n", dev->vendor, dev->device);
 
 	/* declare rom address here - keep any config data out of the way
 	 * of core LXB stuff */
 
         rom = cbfs_load_optionrom(dev->vendor, dev->device, 0);
 	pci_write_config32(dev, PCI_ROM_ADDRESS, rom | 1);
-	printk(BIOS_DEBUG, "rom base: %x\n", rom);
+	printk(DEBUG, "rom base: %x\n", rom);
 	buf = (unsigned char *)rom;
-	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 	if ((buf[0] == 0x55) && (buf[1] == 0xaa)) {
 		memcpy((void *)0xc0000, buf, size);
 
-		printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+		printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 		write_protect_vgabios();	// in northbridge
 
@@ -338,14 +338,14 @@ void do_vgabios(void)
 		if (buf[0] == 0x55 && buf[1] == 0xAA) {
 			busdevfn =
 			    (dev->bus->secondary << 8) | dev->path.pci.devfn;
-			printk(BIOS_DEBUG, "bus/devfn = %#lx\n", busdevfn);
+			printk(DEBUG, "bus/devfn = %#lx\n", busdevfn);
 			real_mode_switch_call_vga(busdevfn);
 		} else
-			printk(BIOS_DEBUG, "Failed to copy VGA BIOS to 0xc0000\n");
+			printk(DEBUG, "Failed to copy VGA BIOS to 0xc0000\n");
 	} else
-		printk(BIOS_DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
+		printk(DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
 
-	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(ERROR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 	pci_write_config32(dev, PCI_ROM_ADDRESS, 0);
 }
@@ -513,12 +513,12 @@ int biosint(unsigned long intnumber,
 	cs = cs_ip >> 16;
 	flags = stackflags;
 
-	printk(BIOS_DEBUG, "biosint: INT# 0x%lx\n", intnumber);
-	printk(BIOS_DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n",
+	printk(DEBUG, "biosint: INT# 0x%lx\n", intnumber);
+	printk(DEBUG, "biosint: eax 0x%lx ebx 0x%lx ecx 0x%lx edx 0x%lx\n",
 		     eax, ebx, ecx, edx);
-	printk(BIOS_DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
+	printk(DEBUG, "biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
 		     ebp, esp, edi, esi);
-	printk(BIOS_DEBUG, "biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
+	printk(DEBUG, "biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
 		     ip, cs, flags);
 
 	// cases in a good compiler are just as good as your own tables. 
@@ -527,16 +527,16 @@ int biosint(unsigned long intnumber,
 	case 6: case 7: case 8: case 9: case 10:
 	case 11: case 12: case 13: case 14: case 15:
 		// These are not BIOS service, but the CPU-generated exceptions
-		printk(BIOS_INFO, "biosint: Oops, exception %lu\n", intnumber);
+		printk(INFO, "biosint: Oops, exception %lu\n", intnumber);
 		if (esp < 0x1000) {
-			printk(BIOS_DEBUG, "Stack contents: ");
+			printk(DEBUG, "Stack contents: ");
 			while (esp < 0x1000) {
-				printk(BIOS_DEBUG, "0x%04x ", *(unsigned short *)esp);
+				printk(DEBUG, "0x%04x ", *(unsigned short *)esp);
 				esp += 2;
 			}
-			printk(BIOS_DEBUG, "\n");
+			printk(DEBUG, "\n");
 		}
-		printk(BIOS_DEBUG, "biosint: Bailing out\n");
+		printk(DEBUG, "biosint: Bailing out\n");
 		// "longjmp"
 		if ((acpi_sleep_type == 3)/* || (PAYLOAD_IS_SEABIOS == 0)*/)	// add this to keep same with kevin's seabios patch in 2008-9-8
 			vga_exit();
@@ -556,7 +556,7 @@ int biosint(unsigned long intnumber,
 				  &ebx, &edx, &ecx, &eax, &flags);
 		break;
 	default:
-		printk(BIOS_INFO, "BIOSINT: Unsupport int #0x%lx\n", intnumber);
+		printk(INFO, "BIOSINT: Unsupport int #0x%lx\n", intnumber);
 		break;
 	}
 	if (ret)
@@ -686,7 +686,7 @@ pcibios(unsigned long *pedi, unsigned lo
 				// devfn is an int, so we mask it off. 
 				busdevfn = (dev->bus->secondary << 8)
 				    | (dev->path.pci.devfn & 0xff);
-				printk(BIOS_DEBUG, "0x%x: return 0x%x\n", func,
+				printk(DEBUG, "0x%x: return 0x%x\n", func,
 					     busdevfn);
 				*pebx = busdevfn;
 				retval = 0;
@@ -713,7 +713,7 @@ pcibios(unsigned long *pedi, unsigned lo
 			reg = *pedi;
 			dev = dev_find_slot(bus, devfn);
 			if (!dev) {
-				printk(BIOS_DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n",
+				printk(DEBUG, "0x%x: BAD DEVICE bus %d devfn 0x%x\n",
 				     func, bus, devfn);
 				// idiots. the pcibios guys assumed you'd never pass a bad bus/devfn!
 				*peax = PCIBIOS_BADREG;
@@ -748,14 +748,14 @@ pcibios(unsigned long *pedi, unsigned lo
 
 			if (retval)
 				retval = PCIBIOS_BADREG;
-			printk(BIOS_DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
+			printk(DEBUG, "0x%x: bus %d devfn 0x%x reg 0x%x val 0x%lx\n",
 			     func, bus, devfn, reg, *pecx);
 			*peax = 0;
 			retval = 0;
 		}
 		break;
 	default:
-		printk(BIOS_ERR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n", func);
+		printk(ERROR, "UNSUPPORTED PCIBIOS FUNCTION 0x%x\n", func);
 		break;
 	}
 
Index: svn/src/northbridge/via/vx800/vx800_ide.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/vx800_ide.c
+++ svn/src/northbridge/via/vx800/vx800_ide.c
@@ -169,7 +169,7 @@ static void ide_init(struct device *dev)
 	uint8_t enables, Rx89, RxC0;
 	u8 i, data;
 	struct ATA_REG_INIT_TABLE *pEntry;
-	printk(BIOS_INFO, "ide_init\n");
+	printk(INFO, "ide_init\n");
 
 #if 1
 	/*these 3 lines help to keep interl back door for DID VID SUBID untouched */
@@ -207,14 +207,14 @@ static void ide_init(struct device *dev)
 	enables |= 0x02;
 	pci_write_config8(dev, IDE_CS, enables);
 	enables = pci_read_config8(dev, IDE_CS);
-	printk(BIOS_DEBUG, "Enables in reg 0x40 read back as 0x%x\n", enables);
+	printk(DEBUG, "Enables in reg 0x40 read back as 0x%x\n", enables);
 
 	/* Enable only compatibility mode. */
 	enables = pci_read_config8(dev, IDE_CONF_II);
 	enables &= ~0xc0;
 	pci_write_config8(dev, IDE_CONF_II, enables);
 	enables = pci_read_config8(dev, IDE_CONF_II);
-	printk(BIOS_DEBUG, "Enables in reg 0x42 read back as 0x%x\n", enables);
+	printk(DEBUG, "Enables in reg 0x42 read back as 0x%x\n", enables);
 
 	/* Enable prefetch buffers. */
 	enables = pci_read_config8(dev, IDE_CONF_I);
Index: svn/src/northbridge/via/vx800/vx800_lpc.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/vx800_lpc.c
+++ svn/src/northbridge/via/vx800/vx800_lpc.c
@@ -58,7 +58,7 @@ static unsigned char *pin_to_irq(const u
 
 static void pci_routing_fixup(struct device *dev)
 {
-	printk(BIOS_INFO, "%s: dev is %p\n", __FUNCTION__, dev);
+	printk(INFO, "%s: dev is %p\n", __FUNCTION__, dev);
 
 	/* set up PCI IRQ routing */
 	pci_write_config8(dev, 0x55, pciIrqs[0] << 4);
@@ -66,42 +66,42 @@ static void pci_routing_fixup(struct dev
 	pci_write_config8(dev, 0x57, pciIrqs[3] << 4);
 
 	/* VGA */
-	printk(BIOS_INFO, "setting vga\n");
+	printk(INFO, "setting vga\n");
 	pci_assign_irqs(0, 0x1, pin_to_irq(vgaPins));
 
 	/* PCI slot */
-	printk(BIOS_INFO, "setting pci slot\n");
+	printk(INFO, "setting pci slot\n");
 	pci_assign_irqs(0, 0x08, pin_to_irq(slotPins));
 
 	/* PCI slot */
-	printk(BIOS_INFO, "setting USB Device Controller\n");
+	printk(INFO, "setting USB Device Controller\n");
 	pci_assign_irqs(0, 0x0b, pin_to_irq(usbdevicePins));
 
 	/* PCI slot */
-	printk(BIOS_INFO, "setting SDIO Controller\n");
+	printk(INFO, "setting SDIO Controller\n");
 	pci_assign_irqs(0, 0x0c, pin_to_irq(sdioPins));
 
 	/* PCI slot */
-	printk(BIOS_INFO, "setting SD $ MS Controller\n");
+	printk(INFO, "setting SD $ MS Controller\n");
 	pci_assign_irqs(0, 0x0d, pin_to_irq(sd_ms_ctrl_Pins));
 
 	/* PCI slot */
-	printk(BIOS_INFO, "setting CE-ATA NF Controller(Card Boot)\n");
+	printk(INFO, "setting CE-ATA NF Controller(Card Boot)\n");
 	pci_assign_irqs(0, 0x0e, pin_to_irq(ce_ata_nf_ctrl_Pins));
 
 	/* PCI slot */
-	printk(BIOS_INFO, "setting ide\n");
+	printk(INFO, "setting ide\n");
 	//pci_assign_irqs(0, 0x0f, pin_to_irq(idePins));
 
 	/* Standard usb components */
-	printk(BIOS_INFO, "setting usb1-2\n");
+	printk(INFO, "setting usb1-2\n");
 //      pci_assign_irqs(0, 0x10, pin_to_irq(usbPins));
 
 	/* sound hardware */
-	printk(BIOS_INFO, "setting hdac audio\n");
+	printk(INFO, "setting hdac audio\n");
 	pci_assign_irqs(0, 0x14, pin_to_irq(hdacaudioPins));
 
-	printk(BIOS_SPEW, "%s: DONE\n", __FUNCTION__);
+	printk(SPEW, "%s: DONE\n", __FUNCTION__);
 }
 
 void setup_pm(device_t dev)
@@ -335,7 +335,7 @@ void vx800_enable_resources(device_t dev
 
 static void southbridge_init(struct device *dev)
 {
-	printk(BIOS_DEBUG, "vx800 sb init\n");
+	printk(DEBUG, "vx800 sb init\n");
 	vx800_sb_init(dev);
 	pci_routing_fixup(dev);
 
@@ -343,7 +343,7 @@ static void southbridge_init(struct devi
 
 	/* turn on keyboard and RTC, no need to visit this reg twice */
 	pc_keyboard_init(0);
-	printk(BIOS_DEBUG, "ps2 usb lid, you  set who can wakeup system from s3 sleep\n");
+	printk(DEBUG, "ps2 usb lid, you  set who can wakeup system from s3 sleep\n");
 	S3_ps2_kb_ms_wakeup(dev);
 	S3_usb_wakeup(dev);
 
